# Google Play Game Services API . questMilestones

## Instance Methods

Report that a reward for the milestone corresponding to milestoneId for the quest corresponding to questId has been claimed by the currently authorized user.

### Method Details

`claim(questId, milestoneId, requestId, consistencyToken=None)`

    Report that a reward for the milestone corresponding to milestoneId for the quest corresponding to questId has been claimed by the currently authorized user.

    Args:
      questId: string, The ID of the quest. (required)
      milestoneId: string, The ID of the milestone. (required)
      requestId: string, A numeric ID to ensure that the request is handled correctly across retries. Your client application must generate this ID randomly. (required)
      consistencyToken: string, The last-seen mutation timestamp.